Hello community,

here is the log from the commit of package PackageKit for openSUSE:Factory 
checked in at 2017-06-05 18:49:24
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/PackageKit (Old)
 and      /work/SRC/openSUSE:Factory/.PackageKit.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "PackageKit"

Mon Jun  5 18:49:24 2017 rev:159 rq:500675 version:1.1.5

Changes:
--------
--- /work/SRC/openSUSE:Factory/PackageKit/PackageKit.changes    2017-03-22 
22:59:22.236549509 +0100
+++ /work/SRC/openSUSE:Factory/.PackageKit.new/PackageKit.changes       
2017-06-05 18:49:26.820788044 +0200
@@ -1,0 +2,7 @@
+Thu Jun  1 06:33:41 UTC 2017 - sck...@suse.com
+
+- Add PackageKit-avoid-stack-smashing-on-i586.patch: Fix PackageKit
+  stack smashing when running "pkcon get-updates" on 32-bit system
+  (fdo#101267, bsc#1020028).
+
+-------------------------------------------------------------------

New:
----
  PackageKit-avoid-stack-smashing-on-i586.patch

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ PackageKit.spec ++++++
--- /var/tmp/diff_new_pack.kPMJC4/_old  2017-06-05 18:49:27.644671915 +0200
+++ /var/tmp/diff_new_pack.kPMJC4/_new  2017-06-05 18:49:27.648671352 +0200
@@ -34,6 +34,8 @@
 Patch0:         PackageKit-avoid-endless-loop-on-autoupdate.patch
 # PATCH-FIX-OPENSUSE PackageKit-zypp-backend-improve-refresh-cache.patch 
bsc#899755 sck...@suse.com -- Improve refresh-cache function in zypp backend.
 Patch1:         PackageKit-zypp-backend-improve-refresh-cache.patch
+# PATCH-FIX-UPSTREAM PackageKit-avoid-stack-smashing-on-i586.patch fdo#101267, 
bsc#1020028 sck...@suse.com -- Fix PackageKit stack smashing when running 
"pkcon get-updates" on 32-bit system.
+Patch2:         PackageKit-avoid-stack-smashing-on-i586.patch
 BuildRequires:  NetworkManager-devel
 BuildRequires:  automake
 BuildRequires:  fdupes
@@ -221,6 +223,7 @@
 %setup -q
 %patch0 -p1
 %patch1 -p1
+%patch2 -p1
 %if !0%{?is_opensuse}
 translation-update-upstream
 %endif


++++++ PackageKit-avoid-stack-smashing-on-i586.patch ++++++
Index: PackageKit-1.1.5/backends/zypp/Makefile.am
===================================================================
--- PackageKit-1.1.5.orig/backends/zypp/Makefile.am
+++ PackageKit-1.1.5/backends/zypp/Makefile.am
@@ -9,6 +9,6 @@ libpk_backend_zypp_la_LIBADD = $(PK_PLUG
 libpk_backend_zypp_la_LDFLAGS = -module -avoid-version $(ZYPP_LIBS)
 libpk_backend_zypp_la_CFLAGS = $(PK_PLUGIN_CFLAGS) $(WARNINGFLAGS_CPP)
 libpk_backend_zypp_la_CXXFLAGS = $(PK_PLUGIN_CXXFLAGS) --std=c++0x -Wall 
-Woverloaded-virtual -Wnon-virtual-dtor
-libpk_backend_zypp_la_CPPFLAGS = $(PK_PLUGIN_CFLAGS) $(ZYPP_CFLAGS) 
-Wno-deprecated
+libpk_backend_zypp_la_CPPFLAGS = $(PK_PLUGIN_CFLAGS) $(ZYPP_CFLAGS) 
-Wno-deprecated -D_FILE_OFFSET_BITS=64
 
 -include $(top_srcdir)/git.mk


Reply via email to